Bug 1406047 - [RGW - Ubuntu] - RGW service doesn't start automatically after reboot
Summary: [RGW - Ubuntu] - RGW service doesn't start automatically after reboot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 1.3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 1.3.4
Assignee: Ken Dreyer (Red Hat)
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-19 15:04 UTC by Vasishta
Modified: 2016-12-21 17:16 UTC (History)
7 users (show)

Fixed In Version: ceph_0.94.9-11redhat1trusty
Doc Type: Bug Fix
Doc Text:
Cause: On Ubuntu, the radosgw-all Upstart service depended on the ceph-all service in order to trigger a start operation. Due to the packaging layout, the ceph-all service many not be defined on the RGW node. Consequence: The radosgw-all Upstart service would not start on boot unless the ceph package was also installed. Fix: The radosgw-all Upstart service has been modified to start according to runlevel in addition to the ceph-all event trigger. Result: The radosgw-all service starts at boot when the ceph package is not installed on a node.
Clone Of:
Environment:
Last Closed: 2016-12-21 17:16:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2995 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3 security and bug fix update 2016-12-21 22:15:57 UTC
Ceph Project Bug Tracker 12586 None None None 2016-12-20 17:42:47 UTC
Red Hat Bugzilla 1363689 None None None Never

Internal Links: 1363689

Description Vasishta 2016-12-19 15:04:32 UTC
Description of problem:
-----------------------
RGW service doesn't start automatically after node reboot in ubuntu 

Workaround: Service needs to be started manually using following command
$ sudo service radosgw start id=rgw.<hostname>

Version-Release number of selected component (if applicable): ceph version 0.94.9-10

How reproducible:
-----------------
always

Steps to Reproduce:
-------------------
In a cluster of ubuntu nodes with at least one rgw node, reboot rgw node.

$sudo reboot

Actual results:
----------------
RGW service doesn't start automatically after node comes back up.

Expected results:
-----------------
RGW service must start automatically after node comes back up.

Additional info:
----------------
Same issue was hit in 2.0 in  ' BZ 1363689 - [RGW] After a cluster reboot, a rgw service restart is needed on the clients' and was release noted there.

Comment 15 errata-xmlrpc 2016-12-21 17:16:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2995.html


Note You need to log in before you can comment on or make changes to this bug.